List Conditionals
GET
/api/v1/workspaces/{workspace_id}/conditionals
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/conditionals?per=10&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/conditionals?per=10&page=1' \ --header 'Authorization: Bearer <token>'Retrieves the conditionals.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
Query Parameters
Section titled “Query Parameters”per
integer
Number of records per page
page
integer
Page number
Responses
Section titled “ Responses ”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
label
required
string
default_syntax
required
object
closing
required
The closing syntax tag for the conditional block.
string
branch_values
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
key
additional properties
string
branches
required
Array<object>
object
key
required
string
label
required
string
can_be_used_in_subject_and_preheader
required
boolean
created_at
required
string format: date-time
updated_at
required
string format: date-time
organization_id
required
integer
dynamic_content_profile_syntaxes
required
object
key
additional properties
A per-DynamicContentProfile syntax entry on a Conditional.
object
closing
The closing syntax tag for the conditional block.
string
branch_values
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
key
additional properties
string
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{ "results": [ { "id": 12345, "label": "Over age 30s", "default_syntax": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } }, "branches": [ { "key": "gold_membership", "label": "Gold Membership" } ], "can_be_used_in_subject_and_preheader": false, "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z", "organization_id": 12345, "dynamic_content_profile_syntaxes": { "additionalProperty": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } } } } ], "pagination": { "per": 10, "page": 1, "total": 100 }}Not Found
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}